<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>VSLPackageImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../apidocs/org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/impl/VSLPackageImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2010, 2016 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> * Chokri MRAIDHA (CEA LIST) chokri.mraidha@cea.fr - Initial API and implementation</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.impl;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EEnum;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EPackage;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.EPackageImpl;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTEPackage;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GQAMPackage;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GQAMPackageImpl;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.MARTE_AnalysisModelPackage;
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.PAMPackage;
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl.PAMPackageImpl;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SAMPackage;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl.SAMPackageImpl;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.impl.MARTE_AnalysisModelPackageImpl;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.MARTE_AnnexesPackage;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage;
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl.RSMPackageImpl;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.DataTypesPackage;
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl.DataTypesPackageImpl;
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage;
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.impl.OperatorsPackageImpl;
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.VSLFactory;
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.VSLPackage;
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.VariablesPackage;
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl.VariablesPackageImpl;
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.dummy;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Annexes.impl.MARTE_AnnexesPackageImpl;
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.GCMPackage;
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl.GCMPackageImpl;
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM.HLAMPackage;
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM.impl.HLAMPackageImpl;
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HRMPackage;
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage;
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwGeneralPackageImpl;
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.HwCommunicationPackage;
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl.HwCommunicationPackageImpl;
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.HwComputingPackage;
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl.HwComputingPackageImpl;
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.HwDevicePackage;
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwDevice.impl.HwDevicePackageImpl;
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwLogicalPackage;
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.HwMemoryPackage;
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl.HwMemoryPackageImpl;
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.HwStorageManagerPackage;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStorageManager.impl.HwStorageManagerPackageImpl;
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwStoragePackage;
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.impl.HwStoragePackageImpl;
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming.HwTimingPackage;
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 
<a class="jxr_linenumber" name="L102" href="#L102">102</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwTiming.impl.HwTimingPackageImpl;
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 
<a class="jxr_linenumber" name="L104" href="#L104">104</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.impl.HwLogicalPackageImpl;
<a class="jxr_linenumber" name="L105" href="#L105">105</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout.HwLayoutPackage;
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 
<a class="jxr_linenumber" name="L107" href="#L107">107</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwLayout.impl.HwLayoutPackageImpl;
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 
<a class="jxr_linenumber" name="L109" href="#L109">109</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPhysicalPackage;
<a class="jxr_linenumber" name="L110" href="#L110">110</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage;
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 
<a class="jxr_linenumber" name="L112" href="#L112">112</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl.HwPowerPackageImpl;
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 
<a class="jxr_linenumber" name="L114" href="#L114">114</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.impl.HwPhysicalPackageImpl;
<a class="jxr_linenumber" name="L115" href="#L115">115</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.impl.HRMPackageImpl;
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 
<a class="jxr_linenumber" name="L117" href="#L117">117</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.MARTE_DesignModelPackage;
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 
<a class="jxr_linenumber" name="L119" href="#L119">119</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SRMPackage;
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 
<a class="jxr_linenumber" name="L121" href="#L121">121</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.SW_BrokeringPackage;
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Brokering.impl.SW_BrokeringPackageImpl;
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 
<a class="jxr_linenumber" name="L125" href="#L125">125</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.SW_ConcurrencyPackage;
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 
<a class="jxr_linenumber" name="L127" href="#L127">127</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl.SW_ConcurrencyPackageImpl;
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 
<a class="jxr_linenumber" name="L129" href="#L129">129</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.SW_InteractionPackage;
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 
<a class="jxr_linenumber" name="L131" href="#L131">131</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SW_InteractionPackageImpl;
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 
<a class="jxr_linenumber" name="L133" href="#L133">133</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.SW_ResourceCorePackage;
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 
<a class="jxr_linenumber" name="L135" href="#L135">135</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl.SW_ResourceCorePackageImpl;
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 
<a class="jxr_linenumber" name="L137" href="#L137">137</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.impl.SRMPackageImpl;
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 
<a class="jxr_linenumber" name="L139" href="#L139">139</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_DesignModel.impl.MARTE_DesignModelPackageImpl;
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.AllocPackage;
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 
<a class="jxr_linenumber" name="L143" href="#L143">143</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.impl.AllocPackageImpl;
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 
<a class="jxr_linenumber" name="L145" href="#L145">145</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements.CoreElementsPackage;
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 
<a class="jxr_linenumber" name="L147" href="#L147">147</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.CoreElements.impl.CoreElementsPackageImpl;
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 
<a class="jxr_linenumber" name="L149" href="#L149">149</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.GRMPackage;
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 
<a class="jxr_linenumber" name="L151" href="#L151">151</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.GRMPackageImpl;
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 
<a class="jxr_linenumber" name="L153" href="#L153">153</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.MARTE_FoundationsPackage;
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 
<a class="jxr_linenumber" name="L155" href="#L155">155</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.NFPsPackage;
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 
<a class="jxr_linenumber" name="L157" href="#L157">157</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl.NFPsPackageImpl;
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 
<a class="jxr_linenumber" name="L159" href="#L159">159</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimePackage;
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 
<a class="jxr_linenumber" name="L161" href="#L161">161</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.TimePackageImpl;
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 
<a class="jxr_linenumber" name="L163" href="#L163">163</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.MARTE_Foundations.impl.MARTE_FoundationsPackageImpl;
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 
<a class="jxr_linenumber" name="L165" href="#L165">165</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE.impl.MARTEPackageImpl;
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 
<a class="jxr_linenumber" name="L167" href="#L167">167</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.BasicNFP_Types.BasicNFP_TypesPackage;
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 
<a class="jxr_linenumber" name="L169" href="#L169">169</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.BasicNFP_Types.impl.BasicNFP_TypesPackageImpl;
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 
<a class="jxr_linenumber" name="L171" href="#L171">171</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.GRM_BasicTypesPackage;
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 
<a class="jxr_linenumber" name="L173" href="#L173">173</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.GRM_BasicTypes.impl.GRM_BasicTypesPackageImpl;
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 
<a class="jxr_linenumber" name="L175" href="#L175">175</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes.MARTE_DataTypesPackage;
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 
<a class="jxr_linenumber" name="L177" href="#L177">177</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes.impl.MARTE_DataTypesPackageImpl;
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 
<a class="jxr_linenumber" name="L179" href="#L179">179</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.MARTE_PrimitivesTypes.MARTE_PrimitivesTypesPackage;
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 
<a class="jxr_linenumber" name="L181" href="#L181">181</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.MARTE_PrimitivesTypes.impl.MARTE_PrimitivesTypesPackageImpl;
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 
<a class="jxr_linenumber" name="L183" href="#L183">183</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.MeasurementUnits.MeasurementUnitsPackage;
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 
<a class="jxr_linenumber" name="L185" href="#L185">185</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.MeasurementUnits.impl.MeasurementUnitsPackageImpl;
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 
<a class="jxr_linenumber" name="L187" href="#L187">187</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.RS_Library.RS_LibraryPackage;
<a class="jxr_linenumber" name="L188" href="#L188">188</a> 
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.RS_Library.impl.RS_LibraryPackageImpl;
<a class="jxr_linenumber" name="L190" href="#L190">190</a> 
<a class="jxr_linenumber" name="L191" href="#L191">191</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.TimeLibrary.TimeLibraryPackage;
<a class="jxr_linenumber" name="L192" href="#L192">192</a> 
<a class="jxr_linenumber" name="L193" href="#L193">193</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.TimeLibrary.impl.TimeLibraryPackageImpl;
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 
<a class="jxr_linenumber" name="L195" href="#L195">195</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.TimeTypesLibraryPackage;
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 
<a class="jxr_linenumber" name="L197" href="#L197">197</a> <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.impl.TimeTypesLibraryPackageImpl;
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 
<a class="jxr_linenumber" name="L199" href="#L199">199</a> <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.UMLPackage;
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 
<a class="jxr_linenumber" name="L201" href="#L201">201</a> <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L202" href="#L202">202</a> <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L203" href="#L203">203</a> <em class="jxr_javadoccomment"> * An implementation of the model &lt;b&gt;Package&lt;/b&gt;.</em>
<a class="jxr_linenumber" name="L204" href="#L204">204</a> <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L205" href="#L205">205</a> <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L206" href="#L206">206</a> <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L207" href="#L207">207</a> <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L208" href="#L208">208</a> <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/impl/VSLPackageImpl.html">VSLPackageImpl</a> <strong class="jxr_keyword">extends</strong> EPackageImpl <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/VSLPackage.html">VSLPackage</a> {
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L210" href="#L210">210</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L211" href="#L211">211</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L212" href="#L212">212</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L213" href="#L213">213</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L214" href="#L214">214</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 	<strong class="jxr_keyword">private</strong> EEnum dummyEEnum = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L218" href="#L218">218</a> <em class="jxr_javadoccomment">	 * Creates an instance of the model &lt;b&gt;Package&lt;/b&gt;, registered with</em>
<a class="jxr_linenumber" name="L219" href="#L219">219</a> <em class="jxr_javadoccomment">	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package</em>
<a class="jxr_linenumber" name="L220" href="#L220">220</a> <em class="jxr_javadoccomment">	 * package URI value.</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> <em class="jxr_javadoccomment">	 * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L222" href="#L222">222</a> <em class="jxr_javadoccomment">	 * Note: the correct way to create the package is via the static</em>
<a class="jxr_linenumber" name="L223" href="#L223">223</a> <em class="jxr_javadoccomment">	 * factory method {@link #init init()}, which also performs</em>
<a class="jxr_linenumber" name="L224" href="#L224">224</a> <em class="jxr_javadoccomment">	 * initialization of the package, or returns the registered package,</em>
<a class="jxr_linenumber" name="L225" href="#L225">225</a> <em class="jxr_javadoccomment">	 * if one already exists.</em>
<a class="jxr_linenumber" name="L226" href="#L226">226</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L227" href="#L227">227</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L228" href="#L228">228</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L229" href="#L229">229</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.emf.ecore.EPackage.Registry</em>
<a class="jxr_linenumber" name="L230" href="#L230">230</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.VSLPackage#eNS_URI</em>
<a class="jxr_linenumber" name="L231" href="#L231">231</a> <em class="jxr_javadoccomment">	 * @see #init()</em>
<a class="jxr_linenumber" name="L232" href="#L232">232</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L233" href="#L233">233</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 	<strong class="jxr_keyword">private</strong> <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/impl/VSLPackageImpl.html">VSLPackageImpl</a>() {
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 		<strong class="jxr_keyword">super</strong>(eNS_URI, VSLFactory.eINSTANCE);
<a class="jxr_linenumber" name="L236" href="#L236">236</a> 	}
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L239" href="#L239">239</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L240" href="#L240">240</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L241" href="#L241">241</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L242" href="#L242">242</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L243" href="#L243">243</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L244" href="#L244">244</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">boolean</strong> isInited = false;
<a class="jxr_linenumber" name="L245" href="#L245">245</a> 
<a class="jxr_linenumber" name="L246" href="#L246">246</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L247" href="#L247">247</a> <em class="jxr_javadoccomment">	 * Creates, registers, and initializes the &lt;b&gt;Package&lt;/b&gt; for this model, and for any others upon which it depends.</em>
<a class="jxr_linenumber" name="L248" href="#L248">248</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L249" href="#L249">249</a> <em class="jxr_javadoccomment">	 * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L250" href="#L250">250</a> <em class="jxr_javadoccomment">	 * This method is used to initialize {@link VSLPackage#eINSTANCE} when that field is accessed.</em>
<a class="jxr_linenumber" name="L251" href="#L251">251</a> <em class="jxr_javadoccomment">	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.</em>
<a class="jxr_linenumber" name="L252" href="#L252">252</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L253" href="#L253">253</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L254" href="#L254">254</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L255" href="#L255">255</a> <em class="jxr_javadoccomment">	 * @see #eNS_URI</em>
<a class="jxr_linenumber" name="L256" href="#L256">256</a> <em class="jxr_javadoccomment">	 * @see #createPackageContents()</em>
<a class="jxr_linenumber" name="L257" href="#L257">257</a> <em class="jxr_javadoccomment">	 * @see #initializePackageContents()</em>
<a class="jxr_linenumber" name="L258" href="#L258">258</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L259" href="#L259">259</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L260" href="#L260">260</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/VSLPackage.html">VSLPackage</a> init() {
<a class="jxr_linenumber" name="L261" href="#L261">261</a> 		<strong class="jxr_keyword">if</strong> (isInited) {
<a class="jxr_linenumber" name="L262" href="#L262">262</a> 			<strong class="jxr_keyword">return</strong> (VSLPackage) EPackage.Registry.INSTANCE.getEPackage(VSLPackage.eNS_URI);
<a class="jxr_linenumber" name="L263" href="#L263">263</a> 		}
<a class="jxr_linenumber" name="L264" href="#L264">264</a> 
<a class="jxr_linenumber" name="L265" href="#L265">265</a> 		<em class="jxr_comment">// Obtain or create and register package</em>
<a class="jxr_linenumber" name="L266" href="#L266">266</a> 		VSLPackageImpl theVSLPackage = (VSLPackageImpl) (EPackage.Registry.INSTANCE.get(eNS_URI) instanceof VSLPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : <strong class="jxr_keyword">new</strong> VSLPackageImpl());
<a class="jxr_linenumber" name="L267" href="#L267">267</a> 
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 		isInited = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 
<a class="jxr_linenumber" name="L270" href="#L270">270</a> 		<em class="jxr_comment">// Initialize simple dependencies</em>
<a class="jxr_linenumber" name="L271" href="#L271">271</a> 		UMLPackage.eINSTANCE.eClass();
<a class="jxr_linenumber" name="L272" href="#L272">272</a> 
<a class="jxr_linenumber" name="L273" href="#L273">273</a> 		<em class="jxr_comment">// Obtain or create and register interdependencies</em>
<a class="jxr_linenumber" name="L274" href="#L274">274</a> 		MARTEPackageImpl theMARTEPackage = (MARTEPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MARTEPackage.eNS_URI) instanceof MARTEPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(MARTEPackage.eNS_URI) : MARTEPackage.eINSTANCE);
<a class="jxr_linenumber" name="L275" href="#L275">275</a> 		MARTE_FoundationsPackageImpl theMARTE_FoundationsPackage = (MARTE_FoundationsPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MARTE_FoundationsPackage.eNS_URI) instanceof MARTE_FoundationsPackageImpl
<a class="jxr_linenumber" name="L276" href="#L276">276</a> 				? EPackage.Registry.INSTANCE.getEPackage(MARTE_FoundationsPackage.eNS_URI) : MARTE_FoundationsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L277" href="#L277">277</a> 		NFPsPackageImpl theNFPsPackage = (NFPsPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(NFPsPackage.eNS_URI) instanceof NFPsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(NFPsPackage.eNS_URI) : NFPsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L278" href="#L278">278</a> 		CoreElementsPackageImpl theCoreElementsPackage = (CoreElementsPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(CoreElementsPackage.eNS_URI) instanceof CoreElementsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CoreElementsPackage.eNS_URI)
<a class="jxr_linenumber" name="L279" href="#L279">279</a> 				: CoreElementsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L280" href="#L280">280</a> 		AllocPackageImpl theAllocPackage = (AllocPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(AllocPackage.eNS_URI) instanceof AllocPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(AllocPackage.eNS_URI) : AllocPackage.eINSTANCE);
<a class="jxr_linenumber" name="L281" href="#L281">281</a> 		TimePackageImpl theTimePackage = (TimePackageImpl) (EPackage.Registry.INSTANCE.getEPackage(TimePackage.eNS_URI) instanceof TimePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TimePackage.eNS_URI) : TimePackage.eINSTANCE);
<a class="jxr_linenumber" name="L282" href="#L282">282</a> 		GRMPackageImpl theGRMPackage = (GRMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(GRMPackage.eNS_URI) instanceof GRMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GRMPackage.eNS_URI) : GRMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 		MARTE_AnnexesPackageImpl theMARTE_AnnexesPackage = (MARTE_AnnexesPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MARTE_AnnexesPackage.eNS_URI) instanceof MARTE_AnnexesPackageImpl
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 				? EPackage.Registry.INSTANCE.getEPackage(MARTE_AnnexesPackage.eNS_URI) : MARTE_AnnexesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L285" href="#L285">285</a> 		RSMPackageImpl theRSMPackage = (RSMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(RSMPackage.eNS_URI) instanceof RSMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RSMPackage.eNS_URI) : RSMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L286" href="#L286">286</a> 		VariablesPackageImpl theVariablesPackage = (VariablesPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(VariablesPackage.eNS_URI) instanceof VariablesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(VariablesPackage.eNS_URI)
<a class="jxr_linenumber" name="L287" href="#L287">287</a> 				: VariablesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L288" href="#L288">288</a> 		OperatorsPackageImpl theOperatorsPackage = (OperatorsPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(OperatorsPackage.eNS_URI) instanceof OperatorsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(OperatorsPackage.eNS_URI)
<a class="jxr_linenumber" name="L289" href="#L289">289</a> 				: OperatorsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L290" href="#L290">290</a> 		DataTypesPackageImpl theDataTypesPackage = (DataTypesPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(DataTypesPackage.eNS_URI) instanceof DataTypesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DataTypesPackage.eNS_URI)
<a class="jxr_linenumber" name="L291" href="#L291">291</a> 				: DataTypesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L292" href="#L292">292</a> 		MARTE_DesignModelPackageImpl theMARTE_DesignModelPackage = (MARTE_DesignModelPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MARTE_DesignModelPackage.eNS_URI) instanceof MARTE_DesignModelPackageImpl
<a class="jxr_linenumber" name="L293" href="#L293">293</a> 				? EPackage.Registry.INSTANCE.getEPackage(MARTE_DesignModelPackage.eNS_URI) : MARTE_DesignModelPackage.eINSTANCE);
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 		HLAMPackageImpl theHLAMPackage = (HLAMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HLAMPackage.eNS_URI) instanceof HLAMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HLAMPackage.eNS_URI) : HLAMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 		HRMPackageImpl theHRMPackage = (HRMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HRMPackage.eNS_URI) instanceof HRMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HRMPackage.eNS_URI) : HRMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 		HwLogicalPackageImpl theHwLogicalPackage = (HwLogicalPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwLogicalPackage.eNS_URI) instanceof HwLogicalPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwLogicalPackage.eNS_URI)
<a class="jxr_linenumber" name="L297" href="#L297">297</a> 				: HwLogicalPackage.eINSTANCE);
<a class="jxr_linenumber" name="L298" href="#L298">298</a> 		HwComputingPackageImpl theHwComputingPackage = (HwComputingPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwComputingPackage.eNS_URI) instanceof HwComputingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwComputingPackage.eNS_URI)
<a class="jxr_linenumber" name="L299" href="#L299">299</a> 				: HwComputingPackage.eINSTANCE);
<a class="jxr_linenumber" name="L300" href="#L300">300</a> 		HwCommunicationPackageImpl theHwCommunicationPackage = (HwCommunicationPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwCommunicationPackage.eNS_URI) instanceof HwCommunicationPackageImpl
<a class="jxr_linenumber" name="L301" href="#L301">301</a> 				? EPackage.Registry.INSTANCE.getEPackage(HwCommunicationPackage.eNS_URI) : HwCommunicationPackage.eINSTANCE);
<a class="jxr_linenumber" name="L302" href="#L302">302</a> 		HwStoragePackageImpl theHwStoragePackage = (HwStoragePackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwStoragePackage.eNS_URI) instanceof HwStoragePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwStoragePackage.eNS_URI)
<a class="jxr_linenumber" name="L303" href="#L303">303</a> 				: HwStoragePackage.eINSTANCE);
<a class="jxr_linenumber" name="L304" href="#L304">304</a> 		HwStorageManagerPackageImpl theHwStorageManagerPackage = (HwStorageManagerPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwStorageManagerPackage.eNS_URI) instanceof HwStorageManagerPackageImpl
<a class="jxr_linenumber" name="L305" href="#L305">305</a> 				? EPackage.Registry.INSTANCE.getEPackage(HwStorageManagerPackage.eNS_URI) : HwStorageManagerPackage.eINSTANCE);
<a class="jxr_linenumber" name="L306" href="#L306">306</a> 		HwMemoryPackageImpl theHwMemoryPackage = (HwMemoryPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwMemoryPackage.eNS_URI) instanceof HwMemoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwMemoryPackage.eNS_URI)
<a class="jxr_linenumber" name="L307" href="#L307">307</a> 				: HwMemoryPackage.eINSTANCE);
<a class="jxr_linenumber" name="L308" href="#L308">308</a> 		HwTimingPackageImpl theHwTimingPackage = (HwTimingPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwTimingPackage.eNS_URI) instanceof HwTimingPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwTimingPackage.eNS_URI)
<a class="jxr_linenumber" name="L309" href="#L309">309</a> 				: HwTimingPackage.eINSTANCE);
<a class="jxr_linenumber" name="L310" href="#L310">310</a> 		HwDevicePackageImpl theHwDevicePackage = (HwDevicePackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwDevicePackage.eNS_URI) instanceof HwDevicePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwDevicePackage.eNS_URI)
<a class="jxr_linenumber" name="L311" href="#L311">311</a> 				: HwDevicePackage.eINSTANCE);
<a class="jxr_linenumber" name="L312" href="#L312">312</a> 		HwGeneralPackageImpl theHwGeneralPackage = (HwGeneralPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwGeneralPackage.eNS_URI) instanceof HwGeneralPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwGeneralPackage.eNS_URI)
<a class="jxr_linenumber" name="L313" href="#L313">313</a> 				: HwGeneralPackage.eINSTANCE);
<a class="jxr_linenumber" name="L314" href="#L314">314</a> 		HwPhysicalPackageImpl theHwPhysicalPackage = (HwPhysicalPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwPhysicalPackage.eNS_URI) instanceof HwPhysicalPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwPhysicalPackage.eNS_URI)
<a class="jxr_linenumber" name="L315" href="#L315">315</a> 				: HwPhysicalPackage.eINSTANCE);
<a class="jxr_linenumber" name="L316" href="#L316">316</a> 		HwLayoutPackageImpl theHwLayoutPackage = (HwLayoutPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwLayoutPackage.eNS_URI) instanceof HwLayoutPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwLayoutPackage.eNS_URI)
<a class="jxr_linenumber" name="L317" href="#L317">317</a> 				: HwLayoutPackage.eINSTANCE);
<a class="jxr_linenumber" name="L318" href="#L318">318</a> 		HwPowerPackageImpl theHwPowerPackage = (HwPowerPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(HwPowerPackage.eNS_URI) instanceof HwPowerPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(HwPowerPackage.eNS_URI) : HwPowerPackage.eINSTANCE);
<a class="jxr_linenumber" name="L319" href="#L319">319</a> 		SRMPackageImpl theSRMPackage = (SRMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(SRMPackage.eNS_URI) instanceof SRMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SRMPackage.eNS_URI) : SRMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L320" href="#L320">320</a> 		SW_ResourceCorePackageImpl theSW_ResourceCorePackage = (SW_ResourceCorePackageImpl) (EPackage.Registry.INSTANCE.getEPackage(SW_ResourceCorePackage.eNS_URI) instanceof SW_ResourceCorePackageImpl
<a class="jxr_linenumber" name="L321" href="#L321">321</a> 				? EPackage.Registry.INSTANCE.getEPackage(SW_ResourceCorePackage.eNS_URI) : SW_ResourceCorePackage.eINSTANCE);
<a class="jxr_linenumber" name="L322" href="#L322">322</a> 		SW_ConcurrencyPackageImpl theSW_ConcurrencyPackage = (SW_ConcurrencyPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(SW_ConcurrencyPackage.eNS_URI) instanceof SW_ConcurrencyPackageImpl
<a class="jxr_linenumber" name="L323" href="#L323">323</a> 				? EPackage.Registry.INSTANCE.getEPackage(SW_ConcurrencyPackage.eNS_URI) : SW_ConcurrencyPackage.eINSTANCE);
<a class="jxr_linenumber" name="L324" href="#L324">324</a> 		SW_BrokeringPackageImpl theSW_BrokeringPackage = (SW_BrokeringPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(SW_BrokeringPackage.eNS_URI) instanceof SW_BrokeringPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SW_BrokeringPackage.eNS_URI)
<a class="jxr_linenumber" name="L325" href="#L325">325</a> 				: SW_BrokeringPackage.eINSTANCE);
<a class="jxr_linenumber" name="L326" href="#L326">326</a> 		SW_InteractionPackageImpl theSW_InteractionPackage = (SW_InteractionPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(SW_InteractionPackage.eNS_URI) instanceof SW_InteractionPackageImpl
<a class="jxr_linenumber" name="L327" href="#L327">327</a> 				? EPackage.Registry.INSTANCE.getEPackage(SW_InteractionPackage.eNS_URI) : SW_InteractionPackage.eINSTANCE);
<a class="jxr_linenumber" name="L328" href="#L328">328</a> 		GCMPackageImpl theGCMPackage = (GCMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(GCMPackage.eNS_URI) instanceof GCMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GCMPackage.eNS_URI) : GCMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L329" href="#L329">329</a> 		MARTE_AnalysisModelPackageImpl theMARTE_AnalysisModelPackage = (MARTE_AnalysisModelPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MARTE_AnalysisModelPackage.eNS_URI) instanceof MARTE_AnalysisModelPackageImpl
<a class="jxr_linenumber" name="L330" href="#L330">330</a> 				? EPackage.Registry.INSTANCE.getEPackage(MARTE_AnalysisModelPackage.eNS_URI) : MARTE_AnalysisModelPackage.eINSTANCE);
<a class="jxr_linenumber" name="L331" href="#L331">331</a> 		GQAMPackageImpl theGQAMPackage = (GQAMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(GQAMPackage.eNS_URI) instanceof GQAMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(GQAMPackage.eNS_URI) : GQAMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L332" href="#L332">332</a> 		SAMPackageImpl theSAMPackage = (SAMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(SAMPackage.eNS_URI) instanceof SAMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SAMPackage.eNS_URI) : SAMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L333" href="#L333">333</a> 		PAMPackageImpl thePAMPackage = (PAMPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(PAMPackage.eNS_URI) instanceof PAMPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(PAMPackage.eNS_URI) : PAMPackage.eINSTANCE);
<a class="jxr_linenumber" name="L334" href="#L334">334</a> 		MeasurementUnitsPackageImpl theMeasurementUnitsPackage = (MeasurementUnitsPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MeasurementUnitsPackage.eNS_URI) instanceof MeasurementUnitsPackageImpl
<a class="jxr_linenumber" name="L335" href="#L335">335</a> 				? EPackage.Registry.INSTANCE.getEPackage(MeasurementUnitsPackage.eNS_URI) : MeasurementUnitsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L336" href="#L336">336</a> 		GRM_BasicTypesPackageImpl theGRM_BasicTypesPackage = (GRM_BasicTypesPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(GRM_BasicTypesPackage.eNS_URI) instanceof GRM_BasicTypesPackageImpl
<a class="jxr_linenumber" name="L337" href="#L337">337</a> 				? EPackage.Registry.INSTANCE.getEPackage(GRM_BasicTypesPackage.eNS_URI) : GRM_BasicTypesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L338" href="#L338">338</a> 		MARTE_DataTypesPackageImpl theMARTE_DataTypesPackage = (MARTE_DataTypesPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MARTE_DataTypesPackage.eNS_URI) instanceof MARTE_DataTypesPackageImpl
<a class="jxr_linenumber" name="L339" href="#L339">339</a> 				? EPackage.Registry.INSTANCE.getEPackage(MARTE_DataTypesPackage.eNS_URI) : MARTE_DataTypesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L340" href="#L340">340</a> 		BasicNFP_TypesPackageImpl theBasicNFP_TypesPackage = (BasicNFP_TypesPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(BasicNFP_TypesPackage.eNS_URI) instanceof BasicNFP_TypesPackageImpl
<a class="jxr_linenumber" name="L341" href="#L341">341</a> 				? EPackage.Registry.INSTANCE.getEPackage(BasicNFP_TypesPackage.eNS_URI) : BasicNFP_TypesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L342" href="#L342">342</a> 		TimeTypesLibraryPackageImpl theTimeTypesLibraryPackage = (TimeTypesLibraryPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(TimeTypesLibraryPackage.eNS_URI) instanceof TimeTypesLibraryPackageImpl
<a class="jxr_linenumber" name="L343" href="#L343">343</a> 				? EPackage.Registry.INSTANCE.getEPackage(TimeTypesLibraryPackage.eNS_URI) : TimeTypesLibraryPackage.eINSTANCE);
<a class="jxr_linenumber" name="L344" href="#L344">344</a> 		TimeLibraryPackageImpl theTimeLibraryPackage = (TimeLibraryPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(TimeLibraryPackage.eNS_URI) instanceof TimeLibraryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(TimeLibraryPackage.eNS_URI)
<a class="jxr_linenumber" name="L345" href="#L345">345</a> 				: TimeLibraryPackage.eINSTANCE);
<a class="jxr_linenumber" name="L346" href="#L346">346</a> 		RS_LibraryPackageImpl theRS_LibraryPackage = (RS_LibraryPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(RS_LibraryPackage.eNS_URI) instanceof RS_LibraryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(RS_LibraryPackage.eNS_URI)
<a class="jxr_linenumber" name="L347" href="#L347">347</a> 				: RS_LibraryPackage.eINSTANCE);
<a class="jxr_linenumber" name="L348" href="#L348">348</a> 		MARTE_PrimitivesTypesPackageImpl theMARTE_PrimitivesTypesPackage = (MARTE_PrimitivesTypesPackageImpl) (EPackage.Registry.INSTANCE.getEPackage(MARTE_PrimitivesTypesPackage.eNS_URI) instanceof MARTE_PrimitivesTypesPackageImpl
<a class="jxr_linenumber" name="L349" href="#L349">349</a> 				? EPackage.Registry.INSTANCE.getEPackage(MARTE_PrimitivesTypesPackage.eNS_URI) : MARTE_PrimitivesTypesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L350" href="#L350">350</a> 
<a class="jxr_linenumber" name="L351" href="#L351">351</a> 		<em class="jxr_comment">// Create package meta-data objects</em>
<a class="jxr_linenumber" name="L352" href="#L352">352</a> 		theVSLPackage.createPackageContents();
<a class="jxr_linenumber" name="L353" href="#L353">353</a> 		theMARTEPackage.createPackageContents();
<a class="jxr_linenumber" name="L354" href="#L354">354</a> 		theMARTE_FoundationsPackage.createPackageContents();
<a class="jxr_linenumber" name="L355" href="#L355">355</a> 		theNFPsPackage.createPackageContents();
<a class="jxr_linenumber" name="L356" href="#L356">356</a> 		theCoreElementsPackage.createPackageContents();
<a class="jxr_linenumber" name="L357" href="#L357">357</a> 		theAllocPackage.createPackageContents();
<a class="jxr_linenumber" name="L358" href="#L358">358</a> 		theTimePackage.createPackageContents();
<a class="jxr_linenumber" name="L359" href="#L359">359</a> 		theGRMPackage.createPackageContents();
<a class="jxr_linenumber" name="L360" href="#L360">360</a> 		theMARTE_AnnexesPackage.createPackageContents();
<a class="jxr_linenumber" name="L361" href="#L361">361</a> 		theRSMPackage.createPackageContents();
<a class="jxr_linenumber" name="L362" href="#L362">362</a> 		theVariablesPackage.createPackageContents();
<a class="jxr_linenumber" name="L363" href="#L363">363</a> 		theOperatorsPackage.createPackageContents();
<a class="jxr_linenumber" name="L364" href="#L364">364</a> 		theDataTypesPackage.createPackageContents();
<a class="jxr_linenumber" name="L365" href="#L365">365</a> 		theMARTE_DesignModelPackage.createPackageContents();
<a class="jxr_linenumber" name="L366" href="#L366">366</a> 		theHLAMPackage.createPackageContents();
<a class="jxr_linenumber" name="L367" href="#L367">367</a> 		theHRMPackage.createPackageContents();
<a class="jxr_linenumber" name="L368" href="#L368">368</a> 		theHwLogicalPackage.createPackageContents();
<a class="jxr_linenumber" name="L369" href="#L369">369</a> 		theHwComputingPackage.createPackageContents();
<a class="jxr_linenumber" name="L370" href="#L370">370</a> 		theHwCommunicationPackage.createPackageContents();
<a class="jxr_linenumber" name="L371" href="#L371">371</a> 		theHwStoragePackage.createPackageContents();
<a class="jxr_linenumber" name="L372" href="#L372">372</a> 		theHwStorageManagerPackage.createPackageContents();
<a class="jxr_linenumber" name="L373" href="#L373">373</a> 		theHwMemoryPackage.createPackageContents();
<a class="jxr_linenumber" name="L374" href="#L374">374</a> 		theHwTimingPackage.createPackageContents();
<a class="jxr_linenumber" name="L375" href="#L375">375</a> 		theHwDevicePackage.createPackageContents();
<a class="jxr_linenumber" name="L376" href="#L376">376</a> 		theHwGeneralPackage.createPackageContents();
<a class="jxr_linenumber" name="L377" href="#L377">377</a> 		theHwPhysicalPackage.createPackageContents();
<a class="jxr_linenumber" name="L378" href="#L378">378</a> 		theHwLayoutPackage.createPackageContents();
<a class="jxr_linenumber" name="L379" href="#L379">379</a> 		theHwPowerPackage.createPackageContents();
<a class="jxr_linenumber" name="L380" href="#L380">380</a> 		theSRMPackage.createPackageContents();
<a class="jxr_linenumber" name="L381" href="#L381">381</a> 		theSW_ResourceCorePackage.createPackageContents();
<a class="jxr_linenumber" name="L382" href="#L382">382</a> 		theSW_ConcurrencyPackage.createPackageContents();
<a class="jxr_linenumber" name="L383" href="#L383">383</a> 		theSW_BrokeringPackage.createPackageContents();
<a class="jxr_linenumber" name="L384" href="#L384">384</a> 		theSW_InteractionPackage.createPackageContents();
<a class="jxr_linenumber" name="L385" href="#L385">385</a> 		theGCMPackage.createPackageContents();
<a class="jxr_linenumber" name="L386" href="#L386">386</a> 		theMARTE_AnalysisModelPackage.createPackageContents();
<a class="jxr_linenumber" name="L387" href="#L387">387</a> 		theGQAMPackage.createPackageContents();
<a class="jxr_linenumber" name="L388" href="#L388">388</a> 		theSAMPackage.createPackageContents();
<a class="jxr_linenumber" name="L389" href="#L389">389</a> 		thePAMPackage.createPackageContents();
<a class="jxr_linenumber" name="L390" href="#L390">390</a> 		theMeasurementUnitsPackage.createPackageContents();
<a class="jxr_linenumber" name="L391" href="#L391">391</a> 		theGRM_BasicTypesPackage.createPackageContents();
<a class="jxr_linenumber" name="L392" href="#L392">392</a> 		theMARTE_DataTypesPackage.createPackageContents();
<a class="jxr_linenumber" name="L393" href="#L393">393</a> 		theBasicNFP_TypesPackage.createPackageContents();
<a class="jxr_linenumber" name="L394" href="#L394">394</a> 		theTimeTypesLibraryPackage.createPackageContents();
<a class="jxr_linenumber" name="L395" href="#L395">395</a> 		theTimeLibraryPackage.createPackageContents();
<a class="jxr_linenumber" name="L396" href="#L396">396</a> 		theRS_LibraryPackage.createPackageContents();
<a class="jxr_linenumber" name="L397" href="#L397">397</a> 		theMARTE_PrimitivesTypesPackage.createPackageContents();
<a class="jxr_linenumber" name="L398" href="#L398">398</a> 
<a class="jxr_linenumber" name="L399" href="#L399">399</a> 		<em class="jxr_comment">// Initialize created meta-data</em>
<a class="jxr_linenumber" name="L400" href="#L400">400</a> 		theVSLPackage.initializePackageContents();
<a class="jxr_linenumber" name="L401" href="#L401">401</a> 		theMARTEPackage.initializePackageContents();
<a class="jxr_linenumber" name="L402" href="#L402">402</a> 		theMARTE_FoundationsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L403" href="#L403">403</a> 		theNFPsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L404" href="#L404">404</a> 		theCoreElementsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L405" href="#L405">405</a> 		theAllocPackage.initializePackageContents();
<a class="jxr_linenumber" name="L406" href="#L406">406</a> 		theTimePackage.initializePackageContents();
<a class="jxr_linenumber" name="L407" href="#L407">407</a> 		theGRMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L408" href="#L408">408</a> 		theMARTE_AnnexesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L409" href="#L409">409</a> 		theRSMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L410" href="#L410">410</a> 		theVariablesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L411" href="#L411">411</a> 		theOperatorsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L412" href="#L412">412</a> 		theDataTypesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L413" href="#L413">413</a> 		theMARTE_DesignModelPackage.initializePackageContents();
<a class="jxr_linenumber" name="L414" href="#L414">414</a> 		theHLAMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L415" href="#L415">415</a> 		theHRMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L416" href="#L416">416</a> 		theHwLogicalPackage.initializePackageContents();
<a class="jxr_linenumber" name="L417" href="#L417">417</a> 		theHwComputingPackage.initializePackageContents();
<a class="jxr_linenumber" name="L418" href="#L418">418</a> 		theHwCommunicationPackage.initializePackageContents();
<a class="jxr_linenumber" name="L419" href="#L419">419</a> 		theHwStoragePackage.initializePackageContents();
<a class="jxr_linenumber" name="L420" href="#L420">420</a> 		theHwStorageManagerPackage.initializePackageContents();
<a class="jxr_linenumber" name="L421" href="#L421">421</a> 		theHwMemoryPackage.initializePackageContents();
<a class="jxr_linenumber" name="L422" href="#L422">422</a> 		theHwTimingPackage.initializePackageContents();
<a class="jxr_linenumber" name="L423" href="#L423">423</a> 		theHwDevicePackage.initializePackageContents();
<a class="jxr_linenumber" name="L424" href="#L424">424</a> 		theHwGeneralPackage.initializePackageContents();
<a class="jxr_linenumber" name="L425" href="#L425">425</a> 		theHwPhysicalPackage.initializePackageContents();
<a class="jxr_linenumber" name="L426" href="#L426">426</a> 		theHwLayoutPackage.initializePackageContents();
<a class="jxr_linenumber" name="L427" href="#L427">427</a> 		theHwPowerPackage.initializePackageContents();
<a class="jxr_linenumber" name="L428" href="#L428">428</a> 		theSRMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L429" href="#L429">429</a> 		theSW_ResourceCorePackage.initializePackageContents();
<a class="jxr_linenumber" name="L430" href="#L430">430</a> 		theSW_ConcurrencyPackage.initializePackageContents();
<a class="jxr_linenumber" name="L431" href="#L431">431</a> 		theSW_BrokeringPackage.initializePackageContents();
<a class="jxr_linenumber" name="L432" href="#L432">432</a> 		theSW_InteractionPackage.initializePackageContents();
<a class="jxr_linenumber" name="L433" href="#L433">433</a> 		theGCMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L434" href="#L434">434</a> 		theMARTE_AnalysisModelPackage.initializePackageContents();
<a class="jxr_linenumber" name="L435" href="#L435">435</a> 		theGQAMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L436" href="#L436">436</a> 		theSAMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L437" href="#L437">437</a> 		thePAMPackage.initializePackageContents();
<a class="jxr_linenumber" name="L438" href="#L438">438</a> 		theMeasurementUnitsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L439" href="#L439">439</a> 		theGRM_BasicTypesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L440" href="#L440">440</a> 		theMARTE_DataTypesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L441" href="#L441">441</a> 		theBasicNFP_TypesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L442" href="#L442">442</a> 		theTimeTypesLibraryPackage.initializePackageContents();
<a class="jxr_linenumber" name="L443" href="#L443">443</a> 		theTimeLibraryPackage.initializePackageContents();
<a class="jxr_linenumber" name="L444" href="#L444">444</a> 		theRS_LibraryPackage.initializePackageContents();
<a class="jxr_linenumber" name="L445" href="#L445">445</a> 		theMARTE_PrimitivesTypesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L446" href="#L446">446</a> 
<a class="jxr_linenumber" name="L447" href="#L447">447</a> 		<em class="jxr_comment">// Mark meta-data to indicate it can't be changed</em>
<a class="jxr_linenumber" name="L448" href="#L448">448</a> 		theVSLPackage.freeze();
<a class="jxr_linenumber" name="L449" href="#L449">449</a> 
<a class="jxr_linenumber" name="L450" href="#L450">450</a> 
<a class="jxr_linenumber" name="L451" href="#L451">451</a> 		<em class="jxr_comment">// Update the registry and return the package</em>
<a class="jxr_linenumber" name="L452" href="#L452">452</a> 		EPackage.Registry.INSTANCE.put(VSLPackage.eNS_URI, theVSLPackage);
<a class="jxr_linenumber" name="L453" href="#L453">453</a> 		<strong class="jxr_keyword">return</strong> theVSLPackage;
<a class="jxr_linenumber" name="L454" href="#L454">454</a> 	}
<a class="jxr_linenumber" name="L455" href="#L455">455</a> 
<a class="jxr_linenumber" name="L456" href="#L456">456</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L457" href="#L457">457</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L458" href="#L458">458</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L459" href="#L459">459</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L460" href="#L460">460</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L461" href="#L461">461</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L462" href="#L462">462</a> 	@Override
<a class="jxr_linenumber" name="L463" href="#L463">463</a> 	<strong class="jxr_keyword">public</strong> EEnum getdummy() {
<a class="jxr_linenumber" name="L464" href="#L464">464</a> 		<strong class="jxr_keyword">return</strong> dummyEEnum;
<a class="jxr_linenumber" name="L465" href="#L465">465</a> 	}
<a class="jxr_linenumber" name="L466" href="#L466">466</a> 
<a class="jxr_linenumber" name="L467" href="#L467">467</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L468" href="#L468">468</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L469" href="#L469">469</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L470" href="#L470">470</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L471" href="#L471">471</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L472" href="#L472">472</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L473" href="#L473">473</a> 	@Override
<a class="jxr_linenumber" name="L474" href="#L474">474</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/VSLFactory.html">VSLFactory</a> getVSLFactory() {
<a class="jxr_linenumber" name="L475" href="#L475">475</a> 		<strong class="jxr_keyword">return</strong> (VSLFactory) getEFactoryInstance();
<a class="jxr_linenumber" name="L476" href="#L476">476</a> 	}
<a class="jxr_linenumber" name="L477" href="#L477">477</a> 
<a class="jxr_linenumber" name="L478" href="#L478">478</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L479" href="#L479">479</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L480" href="#L480">480</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L481" href="#L481">481</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L482" href="#L482">482</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L483" href="#L483">483</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L484" href="#L484">484</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> isCreated = false;
<a class="jxr_linenumber" name="L485" href="#L485">485</a> 
<a class="jxr_linenumber" name="L486" href="#L486">486</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L487" href="#L487">487</a> <em class="jxr_javadoccomment">	 * Creates the meta-model objects for the package. This method is</em>
<a class="jxr_linenumber" name="L488" href="#L488">488</a> <em class="jxr_javadoccomment">	 * guarded to have no affect on any invocation but its first.</em>
<a class="jxr_linenumber" name="L489" href="#L489">489</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L490" href="#L490">490</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L491" href="#L491">491</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L492" href="#L492">492</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L493" href="#L493">493</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L494" href="#L494">494</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> createPackageContents() {
<a class="jxr_linenumber" name="L495" href="#L495">495</a> 		<strong class="jxr_keyword">if</strong> (isCreated) {
<a class="jxr_linenumber" name="L496" href="#L496">496</a> 			<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L497" href="#L497">497</a> 		}
<a class="jxr_linenumber" name="L498" href="#L498">498</a> 		isCreated = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L499" href="#L499">499</a> 
<a class="jxr_linenumber" name="L500" href="#L500">500</a> 		<em class="jxr_comment">// Create enums</em>
<a class="jxr_linenumber" name="L501" href="#L501">501</a> 		dummyEEnum = createEEnum(DUMMY);
<a class="jxr_linenumber" name="L502" href="#L502">502</a> 	}
<a class="jxr_linenumber" name="L503" href="#L503">503</a> 
<a class="jxr_linenumber" name="L504" href="#L504">504</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L505" href="#L505">505</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L506" href="#L506">506</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L507" href="#L507">507</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L508" href="#L508">508</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L509" href="#L509">509</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L510" href="#L510">510</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> isInitialized = false;
<a class="jxr_linenumber" name="L511" href="#L511">511</a> 
<a class="jxr_linenumber" name="L512" href="#L512">512</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L513" href="#L513">513</a> <em class="jxr_javadoccomment">	 * Complete the initialization of the package and its meta-model. This</em>
<a class="jxr_linenumber" name="L514" href="#L514">514</a> <em class="jxr_javadoccomment">	 * method is guarded to have no affect on any invocation but its first.</em>
<a class="jxr_linenumber" name="L515" href="#L515">515</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L516" href="#L516">516</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L517" href="#L517">517</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L518" href="#L518">518</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L519" href="#L519">519</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L520" href="#L520">520</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> initializePackageContents() {
<a class="jxr_linenumber" name="L521" href="#L521">521</a> 		<strong class="jxr_keyword">if</strong> (isInitialized) {
<a class="jxr_linenumber" name="L522" href="#L522">522</a> 			<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L523" href="#L523">523</a> 		}
<a class="jxr_linenumber" name="L524" href="#L524">524</a> 		isInitialized = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L525" href="#L525">525</a> 
<a class="jxr_linenumber" name="L526" href="#L526">526</a> 		<em class="jxr_comment">// Initialize package</em>
<a class="jxr_linenumber" name="L527" href="#L527">527</a> 		setName(eNAME);
<a class="jxr_linenumber" name="L528" href="#L528">528</a> 		setNsPrefix(eNS_PREFIX);
<a class="jxr_linenumber" name="L529" href="#L529">529</a> 		setNsURI(eNS_URI);
<a class="jxr_linenumber" name="L530" href="#L530">530</a> 
<a class="jxr_linenumber" name="L531" href="#L531">531</a> 		<em class="jxr_comment">// Obtain other dependent packages</em>
<a class="jxr_linenumber" name="L532" href="#L532">532</a> 		VariablesPackage theVariablesPackage = (VariablesPackage) EPackage.Registry.INSTANCE.getEPackage(VariablesPackage.eNS_URI);
<a class="jxr_linenumber" name="L533" href="#L533">533</a> 		OperatorsPackage theOperatorsPackage = (OperatorsPackage) EPackage.Registry.INSTANCE.getEPackage(OperatorsPackage.eNS_URI);
<a class="jxr_linenumber" name="L534" href="#L534">534</a> 		DataTypesPackage theDataTypesPackage = (DataTypesPackage) EPackage.Registry.INSTANCE.getEPackage(DataTypesPackage.eNS_URI);
<a class="jxr_linenumber" name="L535" href="#L535">535</a> 
<a class="jxr_linenumber" name="L536" href="#L536">536</a> 		<em class="jxr_comment">// Add subpackages</em>
<a class="jxr_linenumber" name="L537" href="#L537">537</a> 		getESubpackages().add(theVariablesPackage);
<a class="jxr_linenumber" name="L538" href="#L538">538</a> 		getESubpackages().add(theOperatorsPackage);
<a class="jxr_linenumber" name="L539" href="#L539">539</a> 		getESubpackages().add(theDataTypesPackage);
<a class="jxr_linenumber" name="L540" href="#L540">540</a> 
<a class="jxr_linenumber" name="L541" href="#L541">541</a> 		<em class="jxr_comment">// Initialize enums and add enum literals</em>
<a class="jxr_linenumber" name="L542" href="#L542">542</a> 		initEEnum(dummyEEnum, dummy.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"dummy"</span>); <em class="jxr_comment">//$NON-NLS-1$</em>
<a class="jxr_linenumber" name="L543" href="#L543">543</a> 	}
<a class="jxr_linenumber" name="L544" href="#L544">544</a> 
<a class="jxr_linenumber" name="L545" href="#L545">545</a> } <em class="jxr_comment">// VSLPackageImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
